Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 154482 - hal daemon eats CPU on laptop with second battery
Summary: hal daemon eats CPU on laptop with second battery
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 4
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Dave Jones
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-12 04:48 UTC by Jeff Pearson
Modified: 2015-01-04 22:18 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-05-04 13:37:55 UTC


Attachments (Terms of Use)

Description Jeff Pearson 2005-04-12 04:48:34 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6) Gecko/20050328 Firefox/1.0.2 Fedora/1.0.2-3

Description of problem:
hal daemon runs fine when I only have the main battery installed -- but if I have the second battery in the laptop, hal eats lots of CPU.

Version-Release number of selected component (if applicable):
hal-0.5.0.cvs20050404b-2

How reproducible:
Always

Steps to Reproduce:
1. Boot laptop with two batteries
2. Start hal daemon
3. Watch CPU usage skyrocket
  

Expected Results:  Hal shouldn't eat so much CPU.

Additional info:

Comment 1 Jeff Pearson 2005-04-12 04:50:13 UTC
Additional info:
acpid-1.0.4-1
kernel-2.6.11-1.1234_FC4

Gateway 450rog laptop (centrino), up to date BIOS, /proc seems correct...

See also bug 154481, which has to do with the second battery...

Comment 2 David Zeuthen 2005-04-18 15:47:30 UTC
Since bug 154481 suggests that this also happens with battstat applet, this is
not a hal bug. FYI both hal and the battstat applet polls the /proc-files for
battery status only every thirty seconds.

Reassigning to kernel.

Comment 3 Dave Jones 2005-06-27 23:22:02 UTC
Mass update of -test bugs to update version to fc4.
(Please retest on final release, and report results if you have not already done
so).

Thanks.

Comment 4 Dave Jones 2005-09-30 07:09:45 UTC
Mass update to all FC4 bugs:

An update has been released (2.6.13-1.1526_FC4) which rebases to a new upstream
kernel (2.6.13.2). As there were ~3500 changes upstream between this and the
previous kernel, it's possible your bug has been fixed already.

Please retest with this update, and update this bug if necessary.

Thanks.


Comment 5 Dave Jones 2005-11-10 20:15:12 UTC
2.6.14-1.1637_FC4 has been released as an update for FC4.
Please retest with this update, as a large amount of code has been changed in
this release, which may have fixed your problem.

Thank you.


Comment 6 Len Brown 2006-01-18 08:14:50 UTC
Do two batteries still consume CPU with 2.6.15 or FC5-T2?
If yes, how about the latest -mm tree, or 2.6.15 plus the latest
acpi patch:
http://ftp.kernel.org/pub/linux/kernel/people/lenb/acpi/patches/test/2.6.15/

Comment 7 Dave Jones 2006-02-03 07:18:21 UTC
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.


Comment 8 John Thacker 2006-05-04 13:37:55 UTC
Closing per previous comment.


Note You need to log in before you can comment on or make changes to this bug.